Description

Supplement 206 adds a new Secure Connection profile to make DICOM consistent with the latest recommendations from the
Japanese CRYPTREC committee.

This profile is largely identical with the Non-degrading BCP 195 profile, with a few extra requirements, so implementation should be
straightforward.

History

#1 - 2019-01-10 15:58 - Marco Eichelberg

Supplement 206 has meanwhile been released as final text: ftp://medical.nema.org/medical/dicom/final/sup206_ft_Add-Ciphersuites-TLS-Profile.pdf

#2 - 2019-04-26 12:06 - Marco Eichelberg
- Status changed from New to Closed
- Assignee set to Marco Eichelberg

- % Done changed from 0 to 100

Supplement 206 is now final text, but does not contain any new TLS profiles anymore. It only adds some explanatory notes to the existing BCP 195
profiles that require no modifications in DCMTK.

#3 - 2019-04-26 12:40 - Jorg Riesmeier
Actually, Supplement 206 adds the "Extended BCP195 TLS Profile" to the standard text (see new section B.11 in part 15).

#4 - 2019-04-29 09:19 - JO6rg Riesmeier
- Status changed from Closed to Reopened

- % Done changed from 100 to 0

#5 - 2019-05-06 19:03 - Marco Eichelberg

- Subject changed from Add support for the CRYPTREC TLS Profile (Supplement 206) to Add support for the Extended BCP 195 (formerly known as
CRYPTREC) TLS Profile (Supplement 206)

- Status changed from Reopened to Closed

- % Done changed from 0 to 100

Closed by commit #9ad501d3f.
